import type { Bud } from '@roots/bud-framework';
import { ServiceContainer } from '@roots/bud-framework/service';
/**
 * Env service
 */
export default class Env extends ServiceContainer {
    /**
     * Bootstrap event callback
     */
    bootstrap(bud: Bud): Promise<void>;
    /**
     * Filter public env
     */
    filterPublicEnv([key]: [string, string]): boolean;
    /**
     * Get entries from .env which include `APP_PUBLIC` in their name
     *
     * @public
     * @decorator `@bind`
     */
    getPublicEnv(): Record<string, any>;
    /**
     * Transform public env
     */
    transformPublicEnv([rawKey, rawValue]: [string, string]): [
        string,
        string
    ];
}
