import { basename, extname } from 'node:path';
import Configuration from '@roots/bud-framework/configuration';
import { ConfigError } from '@roots/bud-support/errors';
export const addConfig = function (path) {
    const file = {
        ext: extname(path),
        module: [`.json`, `.yaml`, `.yml`].includes(extname(path))
            ? async () => await this.fs.read(path)
            : async () => await this.module.import(path, import.meta.url),
        name: basename(path),
    };
    this.promise(async (bud) => {
        await new Configuration(bud).run(file).catch(error => {
            throw ConfigError.normalize(`Error parsing ${file.name}`, {
                file,
                origin: ConfigError.normalize(error),
            });
        });
    });
    return this;
};
